1

Download Attachment

Hi
I'm able to send and receive the messages easily using OAuth and the given Yahoo Mail Web Services Documentations.
But when it comes to attachment, i am receiving quite ambiguous errors and the attachment is not getting downloaded.
If i use expired token, 404 response comes and it says that "page requested not found".
If i use a validated token, ie. if auth is success, then status code 500 comes without any response body or response header.
I'm including the mid and pid(using partId which i got from GetMessage API) as well. Kindly tell me what more i've to include or what error is there???

Thanks

by
7 Replies
  • Hi
    Kindly reply and tell the actual request to make.
    I'm using GET request.
    Thanks
    0
  • Hi,

    Can you paste your entire GET request? Also are you including the fid and setting clean(if required)?
    Refer this link http://developer.yahoo.com/mail/docs/user_...achmentExamples and you can ignore the redirectUrl.

    --R


    QUOTE (kaku @ Apr 12 2010, 10:19 PM) <{POST_SNAPBACK}>
    Hi
    Kindly reply and tell the actual request to make.
    I'm using GET request.
    Thanks
    0
  • My REQUEST:

    GET http://mail.yahooapis.com/ya/download

    authorization: OAuth realm="yahooapis.com",oauth_nonce="1271237641140",oauth_consumer_key="[key]",oauth_signature_method="HMAC-SHA1",oauth_timestamp="1271237641",oauth_version="1.0",oauth_signature="dwGN0ro3D",oauth_session_handle="AFLOQ",oauth_token="[token]"

    user-agent Jakarta Commons-HttpClient/3.1

    PARAMETERS
    inline 0
    clean 0
    mid 1_AEgxvs4AAPDPS7dQzwnqmTqIDHA
    fid inbox
    pid 2

    ANY Fault???
    0
  • Can you confirm if you are giving fid as "Inbox" and not "inbox"?

    --R

    QUOTE (kaku @ Apr 14 2010, 01:37 AM) <{POST_SNAPBACK}>
    My REQUEST:

    GET http://mail.yahooapis.com/ya/download

    authorization: OAuth realm="yahooapis.com",oauth_nonce="1271237641140",oauth_consumer_key="[key]",oauth_signature_method="HMAC-SHA1",oauth_timestamp="1271237641",oauth_version="1.0",oauth_signature="dwGN0ro3D",oauth_session_handle="AFLOQ",oauth_token="[token]"

    user-agent Jakarta Commons-HttpClient/3.1

    PARAMETERS
    inline 0
    clean 0
    mid 1_AEgxvs4AAPDPS7dQzwnqmTqIDHA
    fid inbox
    pid 2

    ANY Fault???
    0
  • The request that i've given says clearly that i'm using "inbox" and not "Inbox" !!!

    QUOTE (yMailJanitor @ Apr 14 2010, 01:50 PM) <{POST_SNAPBACK}>
    Can you confirm if you are giving fid as "Inbox" and not "inbox"?

    --R
    0
  • Please give it as "Inbox". Thanks

    --R


    QUOTE (kaku @ Apr 14 2010, 10:25 PM) <{POST_SNAPBACK}>
    The request that i've given says clearly that i'm using "inbox" and not "Inbox" !!!
    0
  • Hi
    Thanks, it worked.
    But i would again suggest you to mention these things in the documentation. Only because of this change i wasted so many days and did so many unusual things.
    Anyways, thanks for the quick responses.
    Regards
    Kaku

    QUOTE (yMailJanitor @ Apr 15 2010, 01:17 AM) <{POST_SNAPBACK}>
    Please give it as "Inbox". Thanks

    --R
    0

Recent Posts

in Yahoo! Mail Web Services API